Bug 19967 - definition of body element incorrect
definition of body element incorrect
Status: RESOLVED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
PC Windows NT
: P3 normal
: ---
Assigned To: Erika Doyle Navara
HTML WG Bugzilla archive list
:
Depends on: 20309
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-15 12:02 UTC by steve faulkner
Modified: 2013-01-12 09:36 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description steve faulkner 2012-11-15 12:02:50 UTC
in HTML5 the body element is defined thus [1]:

"The body element represents the main content of the document."

In HTML 4 it was defined thus [2]:

"The body of a document contains the document's content."

The HTML 4 definition matches reality, the body element contains the 'content' of the document not just the 'main content' of the document.

suggest removing the word 'main' from the HTML5 definition to match HTML 4.0 definition:

"The body element represents the content of the document."

[1]http://dev.w3.org/html5/spec/the-body-element.html#the-body-element
[2]http://www.w3.org/TR/REC-html40/struct/global.html#h-7.5.1
Comment 1 steve faulkner 2013-01-08 10:01:49 UTC
have made change in fork of the spec as it is part of the changes required to add the main element to 5.1

refer to: 
https://github.com/stevefaulkner/html/commit/884ef9371c75c178deb72767623a13ab62f1f998
Comment 2 steve faulkner 2013-01-12 09:36:56 UTC
closing as was fixed by https://www.w3.org/Bugs/Public/show_bug.cgi?id=20309#c6